{% extends 'bases/base.html' %}
{% load i18n breadcrumbs crispy_forms_tags %}

{% block page_title %}{% translate "View Crewmates" %}{% endblock %}
{% block breadcrumbs %}
{% endblock %}
{% block content %}
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <table id="main-table" class="table table-striped" style="width:100%" data-server-side="true"
                    data-ajax="/api/adalia_id/crewmates/{{ refinement }}?format=datatables">
                    <thead>
                        <tr>
                            <th data-data="serial">{% translate "ID" %}</th>
                            <th data-data="current_owner">{% translate "Owner" %}</th>
                            <th data-data="allegiance">{% translate "Allegiance" %}</th>
                            <th data-data="name">{% translate "Name" %}</th>
                            <th data-data="crew_class">{% translate "Class" %}</th>
                            <th data-data="title">{% translate "Job Title" %}</th>
                            <th data-data="most_recent_valuation">{% translate "Valuation" %}</th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function () {
        $('#main-table').DataTable({
            "createdRow": function (row, data, index) {
                row.onclick = function () {
                    window.location.href = Urls["nfts:asset-detail"]("{{ collection_symbol }}", data["serial"])
                };

            },
            "columns": [
                null,
                {
                    "sortable": false,
                    "searchable": false,
                    "default": "(None)"
                },
                {
                    "sortable": false,
                    "searchable": false,
                    "default": "(None)"
                },
                null,
                {
                    "defaultContent": "",
                },
                {
                    "defaultContent": "",
                },
                {
                    "sortable": false,
                    "searchable": false,
                    "defaultContent": ""
                }
            ]
        });
    });
</script>
{% endblock %}
∂
